Foxit PDF RDK

Public Member Functions | Public Attributes | List of all members
WrapperData Class Reference
Inheritance diagram for WrapperData:

## Public Member Functions
| constructor ()
| Constructor.
| constructor (version, type, app_id, uri, description)
| Constructor, with parameters. More...
| Set (version, type, app_id, uri, description)
| Set value. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Public Attributes
| app_id
| Application identity to indicate applications to open this wrapper data.
| description
| Description for wrapper file to show applications or confront users prompt information.
| type
| Wrapper type to indicate a type of the current wrapper file.
| uri
| The URI for consumers to get more information.
| version
| Wrapper version.

## Detailed Description

This class represents wrapper data, which is used for a wrapped PDF document.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

WrapperData.constructor | ( | version | ,
|  | type | ,
|  | app_id | ,
|  | uri | ,
|  | description |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | version | Wrapper version.
  [in] | type | Wrapper type to indicate a type of the current wrapper file.
  [in] | app_id | Application identity to indicate applications to open this wrapper data.
  [in] | uri | URI for consumers to get more information.
  [in] | description | Description for wrapper file to show applications or confront users prompt information.

## ◆ Set()

WrapperData.Set | ( | version | ,
|  | type | ,
|  | app_id | ,
|  | uri | ,
|  | description |
| ) |  |

Set value.

Parameters

  [in] | version | Wrapper version.
  [in] | type | Wrapper type to indicate a type of the current wrapper file.
  [in] | app_id | Application identity to indicate applications to open this wrapper data.
  [in] | uri | URI for consumers to get more information.
  [in] | description | Description for wrapper file to show applications or confront users prompt information.

Returns
  None.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.